- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
RVNGZipStream.cpp File Reference
`#include <string>`
`#include <string.h>`
`#include <stdio.h>`
`#include <zlib.h>`
`#include "RVNGZipStream.h"`
`#include <librevenge-stream/librevenge-stream.h>`

## Namespaces
| librevenge

## Macros
#define | CDIR_ENTRY_SIG 0x02014b50
#define | LOC_FILE_HEADER_SIG 0x04034b50
#define | CDIR_END_SIG 0x06054b50

## Macro Definition Documentation

#define CDIR_END_SIG 0x06054b50

#define CDIR_ENTRY_SIG 0x02014b50

#define LOC_FILE_HEADER_SIG 0x04034b50

## Variable Documentation

unsigned short cdir_disk

unsigned short cdir_entries

unsigned cdir_offset

unsigned cdir_size

std::string comment

unsigned short comment_size

unsigned compressed_size

unsigned short compression

unsigned crc32

unsigned short creator_version

unsigned short disk_entries

unsigned short disk_num

unsigned external_attr

std::string extra_field

unsigned short extra_field_size

std::string file_comment

unsigned short file_comment_size

std::string filename

unsigned short filename_size

unsigned short general_flag

unsigned short internal_attr

unsigned short lastmod_date

unsigned short lastmod_time

unsigned short min_version

unsigned offset

Referenced by librevenge::IStorage::loadSmallBlocks(), librevenge::IStream::readUsingStorage(), librevenge::RVNGMemoryInputStream::seek(), and librevenge::RVNGStringStream::seek().

unsigned uncompressed_size